<ui-view/>


<div id="welcome" class="grid">
</div>

<div class="grid" ng-hide="isActiveUser">
	<header class="row main-heading no-padding clearfix"><div class="nopadding col-2-3"><h2>Inaktiv!</h2></div></header>
	<div class="row clearfix">
		<p>Din användare har inaktiverats. Kontakta kundtjänst för att fortsätta använda Aktieboken</p>
	</div>
</div>
<div class="grid" ng-show="isActiveUser && isFortnoxUser && !termsAccepted">
	<header class="row main-heading no-padding clearfix"><div class="nopadding col-2-3"><h2>Uppdaterade villkor</h2></div></header>
	<div class="row clearfix">
		<p>Reguity Group AB (publ) har förvärvat Digital Aktiebok från UC AB.</p>
		<p>Den har bl.a. sålts och distribuerats via Fortnox, och har även varit tillgänglig via Fortnox-onlinetjänster.</p>
		<p>Från och med nu kommer tjänsten att drivas av Nordiska Värdepappersregistret, ett företag inom Reguity Group AB (publ).</p>
		<p>Du accepterar att fortsätta att använda tjänsten genom att acceptera <a style="text-decoration:underline" href="/om-tjansten">nedanstående avtal.</a></p>
	</div>
	<div class="row clearfix">
		<div class="col-1 clearfix">
		<form novalidate>
			<label class="form-required" for="agreement">Jag accepterar <a href="/om-tjansten" target="_blank">villkoren</a></label>
			<p class="col-1 custom-checkbox">
				<input type="checkbox" id="agreement" name="agree" ng-model="termsAccepted" ng-change="acceptTerms()" required/>
				<label for="agreement">
					<span></span>
				</label>
			</p>
			</form>
		</div>
	</div>
</div>
<div class="grid" ng-show="isActiveUser && (termsAccepted || !isFortnoxUser)">
	<header class="row main-heading no-padding clearfix">
		<div class="col-2-3 no-padding">
			<h2 ng-show="subs && subs.length">Mina bolag</h2>
			<h2 ng-hide="subs && subs.length">Välkommen</h2>
		</div>
	</header>

	<div class="row clearfix" ng-show="subs && subs.length">
		<p>Välj bolag att administrera</p>
	</div>

	<div class="row clearfix" ng-show="subs && !subs.length">
		<div class="col-1 help-page">
			<p>Hej och välkommen till Aktieboken! Följ de här stegen för att registrera ditt bolag, aktieboken och bevakning mot bolagskapning:</p>
			<ol>
				<li>
					Välj <span class="help-button-reference">REGISTRERA NYTT BOLAG</span> nedan. Här kommer du att få registrera:
					<ul>
						<li>Bolagsinformation</li>
						<li>Dina uppgifter som administratör av bolaget</li>
					</ul>
				</li>
				<li>
					När bolaget är upplagt kan du välja att göra följande:
					<ul>
						<li>Under <span class="help-button-reference">BEVAKNING MOT BOLAGSKAPNING</span> registrerar du den eller de personer som ska bli
							uppmärksammade via mail och SMS om det kommer in ett ärende till Bolagsverket.
						</li>
						<li>Därefter matar du in <span class="help-button-reference">AKTIEBOKSHÄNDELSER</span>. Här kan du antingen registrera samtliga aktietransaktioner av olika slag från bolagets grundande eller aktieboken som den ser ut idag.
						</li>
						<li>Vill du se hur aktieboken ser ut idag går du in under <span class="help-button-reference">AKTIEBOK</span> och under <span class="help-button-reference">BESTÄLL RAPPORT</span> kan du få ut Aktieboken eller Aktiebokshändelserna som PDF-dokument.
						</li>
						<li>Om du vill att flera personer ska kunna gå in och titta på bolaget kan du lägga in deras uppgifter under <span class="help-button-reference">ANVÄNDARE</span>.
					</ul>
				</li>
				<li>Om du har några frågor eller behöver hjälp kontakta oss på <a href="mailto:support@nvr.se">support@nvr.se</a>.</li>
			</ol>
		</div>
	</div>


	<div class="row clearfix">
		<dir-pagination-controls class="col-4-5" boundary-links="true"></dir-pagination-controls>			
		<div class="col-2-3">

			<ul class="subscriptions-list">
				<li dir-paginate="sub in subs | itemsPerPage: subscriptionsPerPage">

					<p ng-show="isAB(sub)">
						<a ui-sref="user.company.company.ab({orgNr: sub.orgNr})">
							{{ sub.companyName }} - {{sub.orgNr}}
						</a>

					</p>

					<p ng-show="isHB(sub)">

						<a ui-sref="user.company.company.hb({orgNr: sub.orgNr})">
							{{ sub.companyName }} - {{sub.orgNr}}
						</a>
					</p>
				</li>
			</ul>
		</div>
	</div>
		<header class="row main-heading no-padding clearfix">
			<div class="col-2-3 no-padding"><h2>Registrera nytt bolag</h2></div>
		</header>
			<div class="col-1 row clearfix">
			<form name="form.getDataForm" novalidate>
				<div svab-feedback-target="company.getData"></div>
				<fieldset>
					<div class="col-1">
						<p>
							<label class="form-required">Organisationsnummer</label>
							<input ng-model="form.getDataOrgnr" name="fetch" required ng-pattern="/^[0-9]{6}-?[0-9]{4}$/"/>
						</p>
						<div ng-messages="form.getDataForm.fetch.$error" ng-show="form.getDataForm.fetch.$touched">
							<p class="form-feedback error" ng-message="required">Ange ett organisationsnummer</p>
							<p class="form-feedback error" ng-message="pattern">Organisationsnummer anges med tio siffror</p>
						</div>
					</div>
					<div class="col-1">
						<button ng-hide="gettingData" ng-click="fetchData()">Registrera bolag</button>
						<span ng-show="gettingData">Hämtar Bolagsdata<svab-spinner/></span> 
					</div>
				</fieldset>
			</form>	
		</div>

	<div ng-show="isMultiUser">
		<header class="row main-heading no-padding clearfix">
			<div class="col-2-3 no-padding"><h2>Hämta Annat Bolag</h2></div>
		</header>
		<div class="row clearfix">
			<p>Du har behörighet att administrera andra användares bolag</p>
			<p>Ange ett organistaionsnummer för att hämta ett bolag att arbeta med</p>
		</div>
		<div class="col-1 row clearfix">
			<form name="form.companyForm" novalidate>
				<div svab-feedback-target="company.search"></div>
				<fieldset>
					<div class="col-1">
						<p>
							<label class="form-required">Organisationsnummer</label>
							<input ng-model="form.searchOrgnr" name="search" required ng-pattern="/^[0-9]{6}-?[0-9]{4}$/"/>
						</p>
						<div ng-messages="form.companyForm.search.$error" ng-show="form.companyForm.search.$touched">
							<p class="form-feedback error" ng-message="required">Ange ett organisationsnummer</p>
							<p class="form-feedback error" ng-message="pattern">Organisationsnummer anges med tio siffror</p>
						</div>
					</div>
					<div class="col-1">
						<button ng-hide="searchingCompany" ng-click="searchCompany()">Hämta</button>
						<span ng-show="searchingCompany">Hämtar Bolag<svab-spinner/></span> 
					</div>
				</fieldset>
			</form>	
		</div>
	</div>
</div>




